var Process = require('sk/node/process').Process;

var GetHostNameProcess = Process.extend({
	'override __construct': function()
	{
		this._super('hostname');
	}
})

exports.get = function(callback)
{
	if(process.env.HOST_NAME) return callback(process.env.HOST_NAME);
	
	
	var proc = new GetHostNameProcess();
	proc.onData = function(data)
	{
		callback(process.env.HOST_NAME = data.toString().toLowerCase().replace('\n',''))
	};
}